/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_RC_H__
#define __KIBA_RC_H__

#include <kiba-types.h>

G_BEGIN_DECLS

typedef struct _KibaRC KibaRC;

typedef struct {
		gboolean        draw;
		
		/* shape */
		KibaCornerShape topleft;
		KibaCornerShape topright;
		KibaCornerShape bottomright;
		KibaCornerShape bottomleft;
		gint            border_width;
		double          corner_radius;
		
		/* style */
		union {
			KibaBackgroundStyle  style;
			char                *file;
		} background;
		KibaRGBA color1;
		KibaRGBA color2;
		KibaRGBA color3;
		KibaRGBA border_color;
		gint     affection;
		double   stepsize;
}KibaRCPopup;

struct _KibaRC {
	KibaRCPopup popup;
};

KibaRC* kiba_rc_get();

void kiba_rc_set_popup (KibaRCPopup popup);

KibaRCPopup kiba_rc_get_popup (void);

G_END_DECLS

#endif
